<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizMailSentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizMailSent">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="message_id" property="messageId" />
        <result column="account_id" property="accountId" />
        <result column="from_address" property="fromAddress" />
        <result column="to_addresses" property="toAddresses" />
        <result column="cc_addresses" property="ccAddresses" />
        <result column="subject" property="subject" />
        <result column="content" property="content" />
        <result column="send_time" property="sendTime" />
        <result column="send_status" property="sendStatus" />
        <result column="error_msg" property="errorMsg" />
        <result column="has_attachment" property="hasAttachment" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, id, message_id, account_id, from_address, to_addresses, cc_addresses, subject, content, send_time, send_status, error_msg, has_attachment, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
